import { NgModule } from '@angular/core';
import { IonicPageModule } from 'ionic-angular';
import { GamesPage } from './games';
import {GameService} from "../../providers/game-service";
import { AuthServiceProvider } from '../../providers/auth-service';
import { GameModalPage } from './game-modal';

@NgModule({
  declarations: [
    GamesPage,
    GameModalPage
  ],
  imports: [
    IonicPageModule.forChild(GamesPage),
  ],
  providers: [
    GameService,
    AuthServiceProvider
  ],
  entryComponents:[
    GameModalPage
  ]
})
export class GamesPageModule {}
